Subject: Re: [bug#65553] [PATCH 0/6] gnu: Add arrayfire.

From: Adam Faiz <[email-masked]>
Date: Mon, 28 Aug 2023 14:30:21 +0800

On 8/27/23 03:18, Saku Laesvuori wrote:
> I have normally solve this by just adding a huge swapfile, but if
> someone knows how to actually reduce the ram usage by the linker that
> would be interesting to hear.
Thanks, using a swapfile worked for me.
The --no-keep-memory option reduces RAM usage for the linker, it was actually the compiler that was using up all my RAM.

To my understanding, the only effective way to reduce RAM usage of the compiler is to not have many running at the same time,
i.e. to reduce the number of parallel jobs by the build system.
The ggc-min-heapsize and ggc-min-expand GCC options could also be used instead, but I don't know if it's faster than just using swap.

Now I got ArrayFire to build, I just need to ensure its tests pass.